{
    "project_name": "solution name",
    "sub_projects": [
        {
            "project_name": "exec_proj2",
            "binary_name": "hello_world",
            "binary_type": "exec",
            "include_directories": [
                "./include/test"
            ],
            "libraries": [
                {
                    "name" : "nlohmann_json",
                    "org" : "nlohmann_json",
                    "find" : true
                },
                {
                    "name" : "shared_proj",
                    "find" : false
                }
            ]
        },
        {
            "project_name": "shared_proj",
            "binary_name": "hello_shared",
            "binary_type": "shared",
            "include_directories": [
                "./include/test2"
            ]
        },
        {
            "project_name": "static_proj",
            "binary_name": "hello_static",
            "binary_type": "static",
            "include_directories": [
                "./include/test2"
            ],
            "libraries": [
                {
                    "name" : "nlohmann_json",
                    "org" : "nlohmann_json",
                    "find" : true
                }
            ]
        }
    ]
}
